<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:svg="http://www.w3.org/2000/svg">

<xsl:param name="UseSVG" select="1"/>

<xsl:template match="display">
   <xsl:apply-templates />
</xsl:template>

<xsl:template match="display/count">
</xsl:template>

<xsl:template match="window">
   <xsl:apply-templates /> 
</xsl:template>

   <xsl:template match="window/id">
   <tr><th colspan="2" class="sp">spectrum <xsl:value-of select="." /> of <xsl:value-of select="//wsolids/display/count" /></th></tr>
   </xsl:template>

   <xsl:template match="window/type">
   </xsl:template>

   <xsl:template match="spectrum/type">
   <tr><td class="sp2">type:</td><td class="sp2"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/complex">
   </xsl:template>

   <xsl:template match="spectrum/fid">
   </xsl:template>

   <xsl:template match="spectrum/dim">
   </xsl:template>
   
   <xsl:template match="spectrum/si">
   <tr><td class="parn">si:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/td">
   <tr><td class="parn">td:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/sf">
   <tr><td class="parn">sf:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/f1">
   <tr><td class="parn">f1:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/f2">
   <tr><td class="parn">f2:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spectrum/inc">
   </xsl:template>
   <xsl:template match="spectrum/ymin">
   </xsl:template>
   <xsl:template match="spectrum/ymax">
   </xsl:template>
   
   <xsl:template match="spectrum/filename">
   <tr><td class="parn">file:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <!-- draw the spectrum -->
   <xsl:template match="spectrum/real">
   <xsl:choose>
      <xsl:when test="$UseSVG = '1'">
      <xsl:variable  name="newline"><xsl:text>
</xsl:text></xsl:variable>
		<xsl:variable name="width">600</xsl:variable>
		<xsl:variable name="height">300</xsl:variable>
		<xsl:variable name="points"><xsl:value-of select="../si" /></xsl:variable>
		<xsl:variable name="maxy"><xsl:value-of select="../ymax" /></xsl:variable>
		<xsl:variable name="miny"><xsl:value-of select="../ymin" /></xsl:variable>
		<xsl:variable name="cy" select="$maxy - $miny" />

		<!-- Compute the range and scaling factors -->
		<xsl:variable name="xrange" select="$points "/>
		<xsl:variable name="xscale" select="$width div $xrange"/>
		<xsl:variable name="yrange" select="$cy"/>
		<xsl:variable name="yscale" select="$height div $yrange"/>
  
		<tr><td class="parn">plot</td><td class="parv">
		<svg:svg 
   xmlns:dc="http://purl.org/dc/elements/1.1/"
   xmlns:cc="http://creativecommons.org/ns#"
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:svg="http://www.w3.org/2000/svg"
   xmlns="http://www.w3.org/2000/svg"
width="{ $width }" 
height="{ $height }">
		<svg:g>
		<svg:rect x="0" y="0" width="{ $width }" height="{ $height }" fill="#fff" stroke="#fff"/>

		<svg:path>
		<xsl:attribute name="style">fill:none;fill-opacity:1;stroke:#000000;stroke-opacity:1; stroke-width:1.0; stroke-linejoin:round</xsl:attribute>
		<xsl:attribute name="d">
			<xsl:for-each select="point">
				<xsl:variable name="pos" select="position( )"/>
				<xsl:variable name="x" select="@no"/>
				<xsl:variable name="y" select="."/>
				<xsl:choose>
					<xsl:when test="$pos = 1">
					<xsl:text>M </xsl:text>
					</xsl:when>
					<xsl:otherwise> L </xsl:otherwise>
				</xsl:choose>  
				<xsl:value-of select="$x * $xscale"/>,<xsl:value-of select="($y - $maxy) * (-$yscale)"/><xsl:value-of select="$newline" />
			</xsl:for-each>
		</xsl:attribute>
		</svg:path>
        
		</svg:g>
		</svg:svg>
		</td></tr>
	  </xsl:when>
      <xsl:otherwise>
      </xsl:otherwise>
   </xsl:choose>
   </xsl:template>

   <xsl:template match="experiment">
   </xsl:template>

   <xsl:template match="options">
   </xsl:template>
   
 </xsl:stylesheet>