<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="sample">
   <xsl:apply-templates />
</xsl:template>

<xsl:template match="sample/count">
</xsl:template>

<xsl:template match="spinsys">
   <xsl:apply-templates /> 
</xsl:template>

   <xsl:template match="spinsys/id">
   <tr><th colspan="2" class="sp">spin system <xsl:value-of select="." /> of <xsl:value-of select="//wsolids/sample/count" /></th></tr>
   </xsl:template>
   <xsl:template match="spinsys/name">
   <tr><td class="parn">model:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   <xsl:template match="spinsys/wsol1/wsol1name">
   <tr><td class="parn">WSolids1 model:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   <xsl:template match="spinsys/wsol1/wsol1motion">
   </xsl:template>
   <xsl:template match="spinsys/wsol1/rotrate">
   </xsl:template>
   <xsl:template match="spinsys/intensity">
   <tr><td class="parn">relative intensity:</td><td class="parv"><xsl:value-of select="." />%</td></tr>
   </xsl:template>
   <xsl:template match="spinsys/tie">
   <tr><td class="parn">tied to previous site:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   
   <xsl:template match="spinsys/nuclei">
   <tr><td class="parn">no. of nuclei:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>

   <xsl:template match="spinsys/nucleus/id">
   <tr><td class="sp2">nucleus:</td><td class="sp2"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   <xsl:template match="spinsys/nucleus/isotope">
   <tr><td class="parn">isotope:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   <xsl:template match="spinsys/nucleus/spin">
   <tr><td class="parn">spin:</td><td class="parv"><xsl:value-of select="." /></td></tr>
   </xsl:template>
   <xsl:template match="spinsys/nucleus/abundance">
   <tr><td class="parn">abundance:</td><td class="parv"><xsl:value-of select="." />%</td></tr>
   </xsl:template>
   
   <xsl:template match="spinsys/nucleus/csa">
      <tr><td colspan="2">Chemical Shift Tensor (CSA convention: <xsl:value-of select="convention" />)</td></tr>
      <tr><td class="parn"></td><td><table>

	  <xsl:if test="convention = 0">
        <tr><td class="parn">delta11:</td><td class="parv"><xsl:value-of select="delta11" /></td></tr>
        <tr><td class="parn">delta22:</td><td class="parv"><xsl:value-of select="delta22" /></td></tr>
        <tr><td class="parn">delta33:</td><td class="parv"><xsl:value-of select="delta33" /></td></tr>
    </xsl:if>
	  <xsl:if test="convention = 1">
        <tr><td class="parn">diso:</td><td class="parv"><xsl:value-of select="delta11" /></td></tr>
        <tr><td class="parn">span:</td><td class="parv"><xsl:value-of select="delta22" /></td></tr>
        <tr><td class="parn">skew:</td><td class="parv"><xsl:value-of select="delta33" /></td></tr>
    </xsl:if>
	  <xsl:if test="convention = 2">
        <tr><td class="parn">diso:</td><td class="parv"><xsl:value-of select="delta11" /></td></tr>
        <tr><td class="parn">anisotropy:</td><td class="parv"><xsl:value-of select="delta22" /></td></tr>
        <tr><td class="parn">asymmetry:</td><td class="parv"><xsl:value-of select="delta33" /></td></tr>
    </xsl:if>

	  
      <tr><td class="parn">alpha:</td><td class="parv"><xsl:value-of select="alpha" /></td></tr>
      <tr><td class="parn">beta:</td><td class="parv"><xsl:value-of select="beta" /></td></tr>
      <tr><td class="parn">gamma:</td><td class="parv"><xsl:value-of select="gamma" /></td></tr></table></td></tr>
   </xsl:template>
   
   <xsl:template match="spinsys/nucleus/efg">
      <tr><td colspan="2">Electric Field Gradient Tensor</td></tr>
      <tr><td class="parn"></td><td><table>
      <tr><td class="parn">EFG treatment:</td><td class="parv"><xsl:value-of select="theory" /></td></tr>
      <tr><td class="parn">transitions:</td><td class="parv"><xsl:value-of select="transition" /></td></tr>
      <tr><td class="parn">chi:</td><td class="parv"><xsl:value-of select="chi" /></td></tr>
      <tr><td class="parn">eta:</td><td class="parv"><xsl:value-of select="eta" /></td></tr>
      <tr><td class="parn">alpha:</td><td class="parv"><xsl:value-of select="alpha" /></td></tr>
      <tr><td class="parn">beta:</td><td class="parv"><xsl:value-of select="beta" /></td></tr>
      <tr><td class="parn">gamma:</td><td class="parv"><xsl:value-of select="gamma" /></td></tr></table></td></tr>
   </xsl:template>

   <xsl:template match="spinsys/jcoupling">
      <tr><td colspan="2" class="sp2">Indirect spin-spin coupling (J) between nucleus <xsl:value-of select="nucleus1" /> / nucleus <xsl:value-of select="nucleus2" /></td></tr>
      <tr><td class="parn">Jiso:</td><td class="parv"><xsl:value-of select="jiso" /></td></tr>
      <tr><td class="parn">Delta-J:</td><td class="parv"><xsl:value-of select="deltaj" /></td></tr>
      <tr><td class="parn">eta-J:</td><td class="parv"><xsl:value-of select="etaj" /></td></tr>
      <tr><td class="parn">alpha:</td><td class="parv"><xsl:value-of select="alpha" /></td></tr>
      <tr><td class="parn">beta:</td><td class="parv"><xsl:value-of select="beta" /></td></tr>
      <tr><td class="parn">gamma:</td><td class="parv"><xsl:value-of select="gamma" /></td></tr>
   </xsl:template>

   <xsl:template match="spinsys/dcoupling">
      <tr><td colspan="2" class="sp2">Direct dipolar coupling (R) between nucleus <xsl:value-of select="nucleus1" /> / nucleus <xsl:value-of select="nucleus2" /></td></tr>
      <tr><td class="parn">R:</td><td class="parv"><xsl:value-of select="r" /></td></tr>
      <tr><td class="parn">alpha:</td><td class="parv"><xsl:value-of select="alpha" /></td></tr>
      <tr><td class="parn">beta:</td><td class="parv"><xsl:value-of select="beta" /></td></tr>
   </xsl:template>
   
   <xsl:template match="convolution">
   </xsl:template>
   
 </xsl:stylesheet>